#!/usr/local/bin/perl

$ibps_min = $obps_min = 999999999;

while (<>) {
  ($time,$ibps,$ipps,$obps,$opps) = split(/ /);
  $incount ++;

  if ($ibps > $ibps_max) {$ibps_max = $ibps;}
  if ($obps > $obps_max) {$obps_max = $obps;}

  if ($ibps < $ibps_min) {$ibps_min = $ibps;}
  if ($obps < $obps_min) {$obps_min = $obps;}

  $inbps += $ibps;
  $inpps += $ipps;
  $outbps += $obps;
  $outpps += $opps;

}

$inavgbps = $inbps / $incount;
$inavgpps = $inpps / $incount;
printf "Total Input:    %d bps, %d pps, %d counts\n", $inbps, $inpps, $incount;
printf "Input Rate Min: %d bps   Max: %d bps\n",$ibps_min,$ibps_max;
printf "Avg Input Rate: %d bps, %d pps\n", $inavgbps, $inavgpps;

$outavgbps = $outbps / $incount;
$outavgpps = $outpps / $incount;
printf "\n\nTotal Output:    %d bps, %d pps, %d counts\n", $outbps, $outpps, $incount;
printf "Output Rate Min: %d bps    Max: %d bps\n",$obps_min,$obps_max;
printf "Avg Output Rate: %d bps, %d pps\n", $outavgbps, $outavgpps;
